cURL
curl --request PATCH \
--url https://api.eka.care/abdm/v1/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"day_of_birth": 123,
"first_name": "<string>",
"month_of_birth": 123,
"pincode": "<string>",
"year_of_birth": 123,
"address": "<string>",
"last_name": "<string>",
"middle_name": "<string>"
}
'import requests
url = "https://api.eka.care/abdm/v1/profile"
payload = {
"day_of_birth": 123,
"first_name": "<string>",
"month_of_birth": 123,
"pincode": "<string>",
"year_of_birth": 123,
"address": "<string>",
"last_name": "<string>",
"middle_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
day_of_birth: 123,
first_name: '<string>',
month_of_birth: 123,
pincode: '<string>',
year_of_birth: 123,
address: '<string>',
last_name: '<string>',
middle_name: '<string>'
})
};
fetch('https://api.eka.care/abdm/v1/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}Profile Management
Update Profile
Name, gender and date of birth cannot be edited for a KYC verified ABHA
PATCH
/
abdm
/
v1
/
profile
cURL
Authorizations
The API requires a Bearer token (JWT) for authentication.
Headers
Eka User ID (OID)
Partner User ID
Partner HIP ID
Query Parameters
OID is used to Identify the user.
Body
application/json
Day of birth of the user.
Example:
1
First name of the user.
Example:
"Shyam"
Gender of the user ('M' for male, 'F' for female, 'O' for other).
Available options:
M, F, O Example:
"M"
Month of birth of the user.
Example:
1
Pincode of the user's address.
Example:
"110001"
Year of birth of the user.
Example:
1990
Address of the user.
Example:
"123, ABC Street"
Last name of the user.
Example:
"Singh"
Middle name of the user.
Example:
"Kumar"
Response
No Content
Was this page helpful?
⌘I

